Quantcast

[puredyne] help needed with packages

classic Classic list List threaded Threaded
7 messages Options
Dave Griffiths Dave Griffiths
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[puredyne] help needed with packages

Hi all,

I'm building fluxus packages for Maverick - but I need to use a
dependant package which isn't on the official ubuntu:
https://launchpad.net/~plt/+archive/racket

Is this allowed? Can I do something along the lines of:
add-apt-repository ppa:plt/racket

in the rules file somewhere? or do we copy the racket package into
puredyne?

cheers,

dave

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Dave Griffiths Dave Griffiths
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

On Tue, 2011-05-24 at 12:30 +0300, David Griffiths wrote:
> Hi all,
>
> I'm building fluxus packages for Maverick - but I need to use a
> dependant package which isn't on the official ubuntu:
> https://launchpad.net/~plt/+archive/racket
>
> Is this allowed? Can I do something along the lines of:
> add-apt-repository ppa:plt/racket

Update, figured this out - maverick package on
ppa:fluxus-maintainers/stable...

cheers,

dave

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Aymeric Mansoux Aymeric Mansoux
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

David Griffiths said :

> On Tue, 2011-05-24 at 12:30 +0300, David Griffiths wrote:
> > Hi all,
> >
> > I'm building fluxus packages for Maverick - but I need to use a
> > dependant package which isn't on the official ubuntu:
> > https://launchpad.net/~plt/+archive/racket
> >
> > Is this allowed? Can I do something along the lines of:
> > add-apt-repository ppa:plt/racket
>
> Update, figured this out - maverick package on
> ppa:fluxus-maintainers/stable...

Thanks Dave!
Can you copy it into the Puredyne PPA? (You already have the permissions
to do so, just choose rebuild as option)


a.
--
http://su.kuri.mu

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Dave Griffiths Dave Griffiths
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

On Wed, 2011-05-25 at 13:14 +0100, Aymeric Mansoux wrote:

> David Griffiths said :
> > On Tue, 2011-05-24 at 12:30 +0300, David Griffiths wrote:
> > > Hi all,
> > >
> > > I'm building fluxus packages for Maverick - but I need to use a
> > > dependant package which isn't on the official ubuntu:
> > > https://launchpad.net/~plt/+archive/racket
> > >
> > > Is this allowed? Can I do something along the lines of:
> > > add-apt-repository ppa:plt/racket
> >
> > Update, figured this out - maverick package on
> > ppa:fluxus-maintainers/stable...
>
> Thanks Dave!
> Can you copy it into the Puredyne PPA? (You already have the permissions
> to do so, just choose rebuild as option)

I can, but can I make your ppa dependant on plt/racket? It seems like I
have permissions, but will this break anything for you?

cheers,

dave

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Aymeric Mansoux Aymeric Mansoux
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

David Griffiths said :

> On Wed, 2011-05-25 at 13:14 +0100, Aymeric Mansoux wrote:
> > David Griffiths said :
> > > On Tue, 2011-05-24 at 12:30 +0300, David Griffiths wrote:
> > > > Hi all,
> > > >
> > > > I'm building fluxus packages for Maverick - but I need to use a
> > > > dependant package which isn't on the official ubuntu:
> > > > https://launchpad.net/~plt/+archive/racket
> > > >
> > > > Is this allowed? Can I do something along the lines of:
> > > > add-apt-repository ppa:plt/racket
> > >
> > > Update, figured this out - maverick package on
> > > ppa:fluxus-maintainers/stable...
> >
> > Thanks Dave!
> > Can you copy it into the Puredyne PPA? (You already have the permissions
> > to do so, just choose rebuild as option)
>
> I can, but can I make your ppa dependant on plt/racket? It seems like I
> have permissions, but will this break anything for you?

no, we only have plt/racket for fluxus, so I doubt it will be a
problem.
 
> cheers,
>
> dave
>
> ---
> [hidden email]
> http://identi.ca/group/puredyne
> irc://irc.goto10.org/puredyne


a.
--
http://su.kuri.mu

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Dave Griffiths Dave Griffiths
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

On Wed, 2011-05-25 at 14:58 +0100, Aymeric Mansoux wrote:

> David Griffiths said :
> > On Wed, 2011-05-25 at 13:14 +0100, Aymeric Mansoux wrote:
> > > David Griffiths said :
> > > > On Tue, 2011-05-24 at 12:30 +0300, David Griffiths wrote:
> > > > > Hi all,
> > > > >
> > > > > I'm building fluxus packages for Maverick - but I need to use a
> > > > > dependant package which isn't on the official ubuntu:
> > > > > https://launchpad.net/~plt/+archive/racket
> > > > >
> > > > > Is this allowed? Can I do something along the lines of:
> > > > > add-apt-repository ppa:plt/racket
> > > >
> > > > Update, figured this out - maverick package on
> > > > ppa:fluxus-maintainers/stable...
> > >
> > > Thanks Dave!
> > > Can you copy it into the Puredyne PPA? (You already have the permissions
> > > to do so, just choose rebuild as option)
> >
> > I can, but can I make your ppa dependant on plt/racket? It seems like I
> > have permissions, but will this break anything for you?
>
> no, we only have plt/racket for fluxus, so I doubt it will be a
> problem.

They are there now - remember to add racket to the install (although I
guess this is all automagical :)

cheers,

dave

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Aymeric Mansoux Aymeric Mansoux
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [puredyne] help needed with packages

David Griffiths said :
> > > I can, but can I make your ppa dependant on plt/racket? It seems like I
> > > have permissions, but will this break anything for you?
> >
> > no, we only have plt/racket for fluxus, so I doubt it will be a
> > problem.
>
> They are there now - remember to add racket to the install (although I
> guess this is all automagical :)

Thanks!
I have to add the racket PPA to Puredyne now, and I will make a test
build. If all goes well apha5 will have Fluxus back and other goodies.

a.
--
http://su.kuri.mu

---
[hidden email]
http://identi.ca/group/puredyne
irc://irc.goto10.org/puredyne
Loading...